Shawn Wildermuth

.NET Core 3.0.1 and Entity Framework Tools Issue


Entity Framework Core LogoIf you're using .NET Core 3 and Entity Framework Core 3 together, you're probably using the EF Tools too. I've been running into an odd issue with it and wanted to share what is going on.

I know I don't look like it, but I actually like to follow the suggestions. So when I get the following suggestion form the command-line, I tried to update my version:

So that's simple, let's just use dotnet tool to update the version:

Hrmph.

Why would verison 3.0.1 target .netcoreapp2.1? I am so confused. It seems it was a mistake in building it. It's targetted to be fixed in 3.0.2 (and 3.1 by extension), but until then, when you install the Entity Framework Tooling, make sure you specify the version as 3.0.0:

[d:\projects\] dotnet tool install dotnet-ef --version 3.0.0 

And ignore the suggestion to update it. Hope this helps